CREATE TABLE PRIKLJ 
(
	ID_PRIKLJ NUMBER NOT NULL ENABLE, 
	ID_LASTNIKA NUMBER NOT NULL ENABLE, 
	ID_PLOVILA NUMBER NOT NULL ENABLE, 
	ID NUMBER NOT NULL ENABLE, 
	ID_STORITVE NUMBER, 
	OZNAKA VARCHAR2(6 CHAR) NOT NULL ENABLE, 
	PRIKLJUCEK NUMBER NOT NULL ENABLE, 
	DATUM_ZACETKA DATE, 
	DATUM_KONCA DATE, 
	ZACETNO_STANJE NUMBER, 
	KONCNO_STANJE NUMBER, 
	ZASEDEN VARCHAR2(1 CHAR), 
	OBRACUNAN VARCHAR2(1 CHAR), 
        CONSTRAINT PRIKLJ_PK PRIMARY KEY (ID_PRIKLJ)
)
;

ALTER TABLE PRIKLJ ADD ID_PRIKLJ NUMBER
;

CREATE SEQUENCE PRIKLJ_SEQ  START WITH 1 INCREMENT BY 1
;

INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE)
VALUES
('PRIKLJ', 'ID_PRIKLJ', 'PRIKLJ_SEQ', 'S_KLJUCI')
;

UPDATE PRIKLJ 
SET 
ID_PRIKLJ=PRIKLJ_SEQ.NEXTVAL
WHERE ID_PRIKLJ IS NULL
;

ALTER TABLE PRIKLJ MODIFY ID_PRIKLJ NUMBER NOT NULL
;

alter table PRIKLJ drop primary key;

ALTER TABLE PRIKLJ
add CONSTRAINT PRIKLJ_PK PRIMARY KEY (ID_PRIKLJ)
;

CREATE UNIQUE INDEX IX_PRIKLJ1 ON PRIKLJ (ID_LASTNIKA, ID_PLOVILA, ID, ID_STORITVE, OZNAKA, PRIKLJUCEK)
;

UPDATE NNPRIKLJ SET ZASEDEN='N' WHERE ZASEDEN IS NULL;

ALTER TABLE NPRIKLJ ADD ACT VARCHAR2(1 CHAR);

UPDATE NPRIKLJ SET ACT='N' WHERE ACT IS NULL;

INSERT INTO NPRIKLJ (SIFRA, SLO, D, I, GB, F, CRO, OPIS, INTERNI_OPIS, ACT) VALUES ('EL', 'ELECTICITY', 'ELECTICITY', 'ELECTICITY', 'ELECTICITY', 'ELECTICITY', 'ELECTICITY', 'ELECTICITY', 'ELECTICITY', 'N');
INSERT INTO NPRIKLJ (SIFRA, SLO, D, I, GB, F, CRO, OPIS, INTERNI_OPIS, ACT) VALUES ('WT', 'WATER', 'WATER', 'WATER', 'WATER', 'WATER', 'WATER', 'WATER', 'WATER', 'N');

ALTER TABLE NPRIKLJ MODIFY ACT VARCHAR2(1 CHAR) NOT NULL;

ALTER TABLE NPRIKLJ ADD STORITEV VARCHAR2(6 CHAR);

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('NPRIKLJ','STORITEV','M_NNSTOMAR','SIFRA','S','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('NNPRIKLJ','ID_PRIVEZ','NNPRIVEZ','ID_PRIVEZ','N','N_PRIVEZA','S');


ALTER TABLE PRIKLJ MODIFY (ID_STORITVE NULL);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (241, SYSDATE, '5.5', 161, 'Plus marine');