DROP VIEW V_DE_NA_VALUE
;

CREATE OR REPLACE FORCE VIEW V_DE_NA_VALUE ("ID_DN", "SZNESEK", "SZNESEKVAL", "MZNESEK", "MZNESEKVAL", "ZNESEK", "ZNESEKVAL", "COST", "COST_PLANNED", "PROFIT") AS 
SELECT ID_DN, SUM(SZNESEK) AS SZNESEK, SUM(SZNESEKVAL) AS SZNESEKVAL, SUM(MZNESEK) AS MZNESEK, SUM(MZNESEKVAL) AS MZNESEKVAL, SUM(ZNESEK) AS ZNESEK, SUM(ZNESEKVAL) AS ZNESEKVAL, 
SUM(COST) AS COST, SUM(COST_PLANNED) AS COST_PLANNED, (SUM(ZNESEK) - SUM(COST)) AS PROFIT
FROM 
(SELECT D.ID_DN, 
(CASE WHEN D.ID_STORITVE IS NOT NULL THEN D.ZNESEK ELSE 0 END) AS SZNESEK , 
(CASE WHEN D.ID_STORITVE IS NOT NULL AND COALESCE(S.TECAJP,1)<>0 THEN D.ZNESEK/COALESCE(S.TECAJP,1) ELSE (CASE WHEN D.ID_STORITVE IS NOT NULL THEN D.ZNESEK ELSE 0 END) END) AS SZNESEKVAL,
(CASE WHEN D.ID_PROMET IS NOT NULL OR D.ID_RD_PROMET IS NOT NULL THEN D.ZNESEK ELSE 0 END) AS MZNESEK , 
(CASE WHEN D.ID_PROMET IS NOT NULL AND COALESCE(COALESCE(SA.TECAJ_PRERACUN,P.TECAJ),1)<>0 THEN D.ZNESEK/COALESCE(COALESCE(SA.TECAJ_PRERACUN,P.TECAJ),1) WHEN D.ID_RD_PROMET IS NOT NULL AND COALESCE(R.TECAJ,1)<>0 THEN D.ZNESEK/COALESCE(R.TECAJ,1) ELSE D.ZNESEK END) AS MZNESEKVAL,
(CASE WHEN D.ID_PROMET IS NOT NULL THEN (CASE WHEN P.INVOICE IS NOT NULL AND P.INVOICE='N' THEN 0 ELSE D.ZNESEK END) ELSE D.ZNESEK END) AS ZNESEK,
(CASE WHEN D.ID_STORITVE IS NOT NULL THEN D.ZNESEK/COALESCE(S.TECAJP,1) WHEN D.ID_PROMET IS NOT NULL THEN (CASE WHEN P.INVOICE IS NOT NULL AND P.INVOICE='N' THEN 0 ELSE D.ZNESEK END)/COALESCE(COALESCE(SA.TECAJ_PRERACUN,P.TECAJ),1) WHEN D.ID_RD_PROMET IS NOT NULL THEN D.ZNESEK/COALESCE(R.TECAJ,1) ELSE D.ZNESEK END) AS ZNESEKVAL,
(CASE WHEN D.ID_STORITVE IS NOT NULL THEN COALESCE(S.SERVICE_COST,0)+COALESCE(SD.COST,0) WHEN D.ID_PROMET IS NOT NULL THEN P.KOLICINA*COALESCE(A.CENA_SKL,0) WHEN D.ID_RD_PROMET IS NOT NULL THEN R.KOLICINA*COALESCE(RA.CENA_SKL,0) ELSE 0 END) AS COST,
(CASE WHEN D.ID_STORITVE IS NOT NULL THEN COALESCE(SD.COST_PLANNED,0) WHEN D.ID_PROMET IS NOT NULL THEN 0 WHEN D.ID_RD_PROMET IS NOT NULL THEN 0 ELSE 0 END) AS COST_PLANNED
FROM M_DE_NA_DATA D
LEFT OUTER JOIN M_STORITVE S ON D.ID_STORITVE=S.ID_STORITVE
LEFT OUTER JOIN (SELECT S2.ID_STORITVE, SUM(ND.PRICE * D.STEVILO_UR) AS COST, SUM(ND.PRICE * D.HOURS_PLANNED) AS COST_PLANNED, SUM(ND.PRICE * D.STEVILO_UR)*(-1) AS PROFIT
    FROM M_STORITVE S2 JOIN DELAVCI D ON D.ID_STORITVE = S2.ID_STORITVE
    LEFT OUTER JOIN NNDELAVC ND ON ND.SIFRA = D.SIFRA
    GROUP BY S2.ID_STORITVE) SD ON S.ID_STORITVE=SD.ID_STORITVE
LEFT OUTER JOIN S_PROMET P ON D.ID_PROMET=P.ID_PROMET
LEFT OUTER JOIN S_ARTIKLI A ON P.ID_ARTIKEL=A.ID_ARTIKEL
LEFT OUTER JOIN S_OBRACUN SO ON P.ID_PROMET=SO.ID_PROMET
LEFT OUTER JOIN RACUN_DATA RD ON SO.ID_OBRACUN=RD.ID_OBRACUN
LEFT OUTER JOIN SALDKONT SA ON RD.ID_SALDKONT=SA.ID_SALDKONT AND SA.STORNO IS NULL
LEFT OUTER JOIN S_RD_PROMET R ON D.ID_RD_PROMET=R.ID_RD_PROMET
LEFT OUTER JOIN S_ARTIKLI RA ON P.ID_ARTIKEL=RA.ID_ARTIKEL) DNAL
GROUP BY DNAL.ID_DN
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2030, SYSDATE, '5.5', 1950, 'V_DE_NA_VALUE')
;
