  CREATE OR REPLACE FORCE VIEW "V_FB_MEMBER_DATA" ("ID", "CARDID", "MEMBERSHIPNO", "NAME", "STATUS", "CANSIGN", "MEMBERS_NOTES", "FB_REMARKS", "MOBILE_NUMBER", "PHOTO", "SIGNATURE", "TYPE") AS 
  SELECT
    a1."ID",
    a1."CARDID",
    a1."MEMBERSHIPNO",
    a1."NAME",
    a1."STATUS",
    a1."CANSIGN",
    a1."MEMBERS_NOTES",
    a1."FB_REMARKS",
    a1."MOBILE_NUMBER",
    por.datoteka AS photo,
    sig.datoteka AS signature,
    'Member'     AS type
  FROM
    (
      SELECT
        id,
        cardid,
        membershipno,
        name,
        status,
        cansign,
        LISTAGG( membersnotes, Chr(13)) WITHIN GROUP (ORDER BY membersnotes DESC) AS members_notes,
        fb_remarks,
        mobile_number
      FROM
        (
          SELECT
            k.id, --idkupca
            k.yacht_club_id AS CardId,
            k.id_member     AS MembershipNo,
            CASE WHEN k.ime IS NULL THEN k.priimek ELSE k.priimek ||', '||k.ime END AS Name,
            n.opis AS status,
            'Yes'  AS cansign,
            CASE WHEN b.belezka IS NULL THEN NULL ELSE b.datumkreiranja||': '||b.belezka END AS membersnotes,
            k.fb_remarks,
            vn.mobile_phone as mobile_number
          FROM
            kupci k
          JOIN application_form app ON app.id_kupca=k.id
          LEFT OUTER JOIN nnmembstatus n ON n.sifra=app.status
          LEFT OUTER JOIN kupcibelezke b ON b.idkupca=k.id
          left outer join v_naslovi vn on vn.id_kupca=k.id
          WHERE app.id=(SELECT MAX(id) FROM application_form
                        WHERE application_form.id_kupca=k.id)
        )
      GROUP BY
        id,
        cardid,
        membershipno,
        name,
        status,
        cansign,
        fb_remarks,
        mobile_number
    )
    a1
  LEFT OUTER JOIN (
                    SELECT
                     kupci.id,
                     MAX(por.id_datoteke_kupcev) AS por_id,
                     MAX(sig.id_datoteke_kupcev) AS sig_id
                    FROM
                      kupci
                    LEFT OUTER JOIN datoteke_kupcev por ON kupci.id=por.id_kupca AND por.vrsta='POR'
                    LEFT OUTER JOIN datoteke_kupcev sig ON kupci.id=sig.id_kupca AND sig.vrsta='SIG'
                    HAVING
                      MAX(por.id_datoteke_kupcev) <>0 OR MAX(sig.id_datoteke_kupcev)<>NULL
                    GROUP BY kupci.id
                  ) dat ON dat.id=a1.id
  LEFT OUTER JOIN datoteke_kupcev por ON por.id_datoteke_kupcev=dat.por_id
  LEFT OUTER JOIN datoteke_kupcev sig ON sig.id_datoteke_kupcev=dat.sig_id
  UNION ALL
  --dependents
  SELECT
    a1."ID",
    a1."CARDID",
    a1."MEMBERSHIPNO",
    a1."NAME",
    a1."STATUS",
    a1."CANSIGN",
    a1."MEMBERS_NOTES",
    a1."FB_REMARKS",
    a1."MOBILE_NUMBER",
    por.datoteka AS photo,
    sig.datoteka AS signature,
    'Dependent'  AS type
  FROM
    (
      SELECT
        id,
        cardid,
        membershipno,
        name,
        status,
        cansign,
        LISTAGG( membersnotes, Chr(13)) WITHIN GROUP (ORDER BY membersnotes DESC) AS members_notes,
        fb_remarks,
        mobile_number
      FROM
        (
          SELECT
            dep_kup.id, --idkupca
            dep_kup.yacht_club_id AS CardId,
            mem.id_member         AS MembershipNo,
            CASE WHEN dep_kup.ime IS NULL THEN dep_kup.priimek ELSE dep_kup.priimek||', '||dep_kup.ime END AS Name,
            n.opis AS status,
            CASE WHEN dep.can_sign_invoice='Y' THEN 'Yes' ELSE 'No' END AS cansign,
            CASE WHEN b.belezka IS NULL THEN NULL ELSE b.datumkreiranja ||': ' ||b.belezka END AS membersnotes,
            dep_kup.fb_remarks,
            vn.mobile_phone as mobile_number
          FROM
            kupci mem
          JOIN application_form app ON app.id_kupca=mem.id
          LEFT OUTER JOIN nnmembstatus n ON n.sifra=app.status
          LEFT OUTER JOIN kupcibelezke b ON b.idkupca=mem.id
          JOIN kont_osb_lastnik dep ON dep.id_lastnika=mem.id AND dep.depandent='Y'
          JOIN kupci dep_kup ON dep.id_osebe=dep_kup.id
           left outer join v_naslovi vn on vn.id_kupca=dep_kup.id
          WHERE app.id=(SELECT MAX(id) FROM application_form
                        WHERE application_form.id_kupca=mem.id)
        )
      GROUP BY
        id,
        cardid,
        membershipno,
        name,
        status,
        cansign,
        fb_remarks,
        mobile_number
    )
    a1
  LEFT OUTER JOIN (
                   SELECT
                     kupci.id,
                     MAX(por.id_datoteke_kupcev) AS por_id,
                     MAX(sig.id_datoteke_kupcev) AS sig_id
                    FROM
                      kupci
                    LEFT OUTER JOIN datoteke_kupcev por ON kupci.id=por.id_kupca AND por.vrsta='POR'
                    LEFT OUTER JOIN datoteke_kupcev sig ON kupci.id=sig.id_kupca AND sig.vrsta='SIG'
                    HAVING
                      MAX(por.id_datoteke_kupcev) <>0 OR MAX(sig.id_datoteke_kupcev)<>NULL
                    GROUP BY kupci.id
                  ) dat ON dat.id=a1.id
  LEFT OUTER JOIN datoteke_kupcev por ON por.id_datoteke_kupcev=dat.por_id
  LEFT OUTER JOIN datoteke_kupcev sig ON sig.id_datoteke_kupcev=dat.sig_id
 ;


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(504, SYSDATE, '5.5', 424, 'View');