CREATE TABLE SC_VISIBILITY_TYPE (
	ID NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	INTERNAL_NAME VARCHAR2(100 CHAR),
	CONSTRAINT SC_VISIBILITYTYPE_PK PRIMARY KEY (ID)
);

INSERT INTO SC_VISIBILITY_TYPE(ID, NAME, INTERNAL_NAME)
VALUES (1, 'Public', 'Public');

INSERT INTO SC_VISIBILITY_TYPE(ID, NAME, INTERNAL_NAME)
VALUES (2, 'Private', 'Private');

INSERT INTO SC_VISIBILITY_TYPE(ID, NAME, INTERNAL_NAME)
VALUES (3, 'By owner type', 'By owner type');

CREATE SEQUENCE SC_VISIBILITY_TYPE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE SC_EVSUB
ADD SC_VISIBILITY_TYPE_ID NUMBER;

ALTER TABLE SC_EVENT
ADD SC_VISIBILITY_TYPE_ID NUMBER;


CREATE TABLE SC_EVENT_OWNER_TYPE_VISIBILITY (
	ID NUMBER NOT NULL,
	ID_SC_EVENT NUMBER,
	OWNER_TYPE VARCHAR2(3 CHAR),
	CONSTRAINT SC_EVENT_OWNER_TYPE_VIS_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE SC_EVENT_OWNER_TYPE_VIS_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;


ALTER TABLE SIFRANT ADD (ID_SIFRANT NUMBER);

CREATE SEQUENCE SIFRANT_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

UPDATE SIFRANT 
SET ID_SIFRANT = SIFRANT_SEQ.NEXTVAL
WHERE ID_SIFRANT IS NULL;

ALTER TABLE SIFRANT ADD (
CONSTRAINT SIFRANT_PK_UNIQUE UNIQUE (ID_SIFRANT));

CREATE OR REPLACE
TRIGGER SIFRANT_TRG
BEFORE INSERT
ON SIFRANT
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.ID_SIFRANT IS NULL) THEN
          SELECT SIFRANT_SEQ.NEXTVAL INTO :NEW.ID_SIFRANT FROM DUAL;;
	END IF;;
END;;
;

CREATE OR REPLACE VIEW V_NNVRSKUP AS (
SELECT N.SIFRA, N.OPIS, N.INTERNI_OPIS, N.VRSTA, N.TRANSFER_FB, N.BARVA, N.NOTE, N.ACTIVE, S.NAZIV_SIFRANT AS VRSTA_NAZIV_SIFRANT,
  S.PRIVZETA_VR AS VRSTA_PRIVZETA_VR, S.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, S.ID_SIFRANT AS VRSTA_ID_SIFRANT
FROM NNVRSKUP N
LEFT OUTER JOIN SIFRANT S ON S.STRINGTABLE = 'NNVRSKUP' AND S.ID_STRING = 'VRSTA' AND S.KODA_SIFRANT = N.VRSTA
);


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(571, SYSDATE, '5.5', 491, 'Vidljivost SC eventa');